#ifndef CLOCK_H_
#define CLOCK_H_

#include <stdint.h>


#define SUB_DIV_LED 30
#define SUB_DIV_STEPPER 3


typedef struct clock_s {
  uint8_t hour;
  uint8_t minute;
  uint8_t second;
  uint8_t day;
  uint8_t weekday;
  uint8_t month;
  uint8_t year;
} clock_t;

typedef struct opTime_s {
  uint8_t second;
  uint8_t minute;
  uint16_t hour;
} opTime_t;


void clockInit();
opTime_t clockGetOpTime();

uint8_t clockNextStep();
uint8_t clockNextBlink();
uint8_t clockNextSecond();
uint8_t clockNextMinute();

void clockSetUseLocalClock(uint8_t x);
void clockClearSecond();
void clockSetClock(uint8_t year, uint8_t month, uint8_t day, uint8_t weekday, uint8_t hour, uint8_t minute);
clock_t clockGetClock();



#endif /* CLOCK_H_ */
